Index: /extensions/ContactForm/admin/cf_persoform.tab.php
===================================================================
--- /extensions/ContactForm/admin/cf_persoform.tab.php	(revision 14428)
+++ /extensions/ContactForm/admin/cf_persoform.tab.php	(revision 14428)
@@ -0,0 +1,59 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+check_status(ACCESS_ADMINISTRATOR);
+
+global $template, $conf, $user;
+
+//charge Persoform
+$query = '
+select param,value
+	FROM ' . CONFIG_TABLE . '
+  WHERE param = "persoformtop"
+	;';
+$result = pwg_query($query);
+
+$row = mysql_fetch_array($result);
+    
+  $template->assign(
+    array(
+      'PERSOFORMTOP' => $row['value'],
+      ));
+
+$query = '
+select param,value
+	FROM ' . CONFIG_TABLE . '
+  WHERE param = "persoformbottom"
+	;';
+$result = pwg_query($query);
+
+$row = mysql_fetch_array($result);
+    
+  $template->assign(
+    array(
+      'PERSOFORMBOTTOM' => $row['value'],
+      ));
+
+if (isset($_POST['submitpersoform']))
+	{
+	$q = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="persoformtop" LIMIT 1;';
+    pwg_query($q);
+		$query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment) VALUES ("persoformtop","'.$_POST['persoform_top'].'","Add text above form to contactform plugin");';
+    pwg_query($query);
+
+  $template->assign(
+    array(
+      'PERSOFORMTOP' => stripslashes($_POST['persoform_top']),
+      ));
+
+	$q = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="persoformbottom" LIMIT 1;';
+    pwg_query($q);
+	$query = 'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment) VALUES ("persoformbottom","'.$_POST['persoform_bottom'].'","Add text below form to contactform plugin");';
+    pwg_query($query);
+
+  $template->assign(
+    array(
+      'PERSOFORMBOTTOM' => stripslashes($_POST['persoform_bottom']),
+      ));
+	}	
+	
+?>
Index: /extensions/ContactForm/admin/themes/cf_persoform.tab.tpl
===================================================================
--- /extensions/ContactForm/admin/themes/cf_persoform.tab.tpl	(revision 14428)
+++ /extensions/ContactForm/admin/themes/cf_persoform.tab.tpl	(revision 14428)
@@ -0,0 +1,34 @@
+<div class="titrePage">
+    <h2>{$CF.TITLE}<br>{'cf_tab_persoform'|@translate}</h2>
+</div>
+<h3>{'Add text to the contact form'|@translate}</h3>
+<br>
+	<form method="post" >
+	 <fieldset id="mainConf">
+			<span class="property">
+				<label for="persoformtop">{'Add text above'|@translate} *1</label>
+			</span>
+			<br>
+			<textarea rows="4" cols="80" class="description" name="persoform_top" id="persoform_top">{$PERSOFORMTOP}</textarea>
+  			<br>
+			<br>
+			<h3>{'contact_form_title'|@translate}</h3>
+			<br>
+			<br>
+			<span class="property">
+				<label for="persoformbottom">{'Add text below'|@translate} *2</label>
+			</span>
+			<br>
+			<textarea rows="4" cols="80" class="description" name="persoform_bottom" id="persoform_bottom">{$PERSOFORMBOTTOM}</textarea>
+  <p>
+    <input class="submit" type="submit" name="submitpersoform" value="{'Submit'|@translate}">
+  </p>
+  	</form>
+<br>
+<br>
+<br>
+<br>
+*1 {'use tag < div id="persoformtop" > to customize your personal text'|@translate}<br>
+*2 {'use tag < div id="persoformbottom" > to customize your personal text'|@translate}<br>
+{'if plugin ExtendedDescription is actif, you can use tags [lang]'|@translate}<br>
+</fieldset>
Index: /extensions/ContactForm/classes/cf_plugin.class.php
===================================================================
--- /extensions/ContactForm/classes/cf_plugin.class.php	(revision 14427)
+++ /extensions/ContactForm/classes/cf_plugin.class.php	(revision 14428)
@@ -187,4 +187,34 @@
         'cf_form'     => realpath(cf_get_template('cf_form.tpl')),
         'cf_messages' => realpath(cf_get_template('cf_messages.tpl')),
+      ));
+	  
+	  //charge Persoform
+$PAED = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'ExtendedDescription';"));
+if($PAED['state'] == 'active') add_event_handler('AP_render_content', 'get_user_language_desc');	  
+	  
+$query = '
+select param,value
+	FROM ' . CONFIG_TABLE . '
+  WHERE param = "persoformtop"
+	;';
+$result = pwg_query($query);
+$row = mysql_fetch_array($result);
+$persoformtop=trigger_event('AP_render_content', $row['value']);    
+  $template->assign(
+    array(
+      'PERSOFORMTOP' => $persoformtop,
+      ));
+	  
+	 $query = '
+select param,value
+	FROM ' . CONFIG_TABLE . '
+  WHERE param = "persoformbottom"
+	;';
+$result = pwg_query($query);
+$row = mysql_fetch_array($result);
+$persoformbottom=trigger_event('AP_render_content', $row['value']);       
+  $template->assign(
+    array(
+      'PERSOFORMBOTTOM' => $persoformbottom,
       ));
     
Index: /extensions/ContactForm/config.php
===================================================================
--- /extensions/ContactForm/config.php	(revision 14427)
+++ /extensions/ContactForm/config.php	(revision 14428)
@@ -8,4 +8,5 @@
 $config_tabs[]='config';
 $config_tabs[]='emails';
+$config_tabs[]='persoform';
 
 global $template, $page;
Index: /extensions/ContactForm/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 14427)
+++ /extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 14428)
@@ -67,3 +67,11 @@
 $lang['cf_no_mail'] = 'No e-mail address available';
 $lang['cf_refresh'] = 'Regenerate e-mail list address';
+// persoformtab
+$lang['cf_tab_persoform'] = 'Add text Form';
+$lang['Add text to the contact form'] = 'Add text to the contact form';
+$lang['Add text above'] = 'Add text above';
+$lang['Add text below'] = 'Add text below';
+$lang['use tag < div id="persoformtop" > to customize your personal text'] = 'use tag < div id="persoformtop" > to customize your personal text';
+$lang['use tag < div id="persoformbottom" > to customize your personal text'] = 'use tag < div id="persoformbottom" > to customize your personal text';
+$lang['if plugin ExtendedDescription is actif, you can use tags [lang]'] = 'if plugin ExtendedDescription is actif, you can use tags [lang]';
 ?>
Index: /extensions/ContactForm/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 14427)
+++ /extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 14428)
@@ -67,3 +67,11 @@
 $lang['cf_no_mail'] = 'Aucune adresse e-mail disponible';
 $lang['cf_refresh'] = 'Regénérer la liste des adresses';
+// persoformtab
+$lang['cf_tab_persoform'] = 'Ajouter texte perso au Formulaire';
+$lang['Add text to the contact form'] = 'Ajouter du texte au formulaire de contact';
+$lang['Add text above'] = 'Texte ajouter au dessus';
+$lang['Add text below'] = 'Texte ajouter en dessous';
+$lang['use tag < div id="persoformtop" > to customize your personal text'] = 'utiiser la balise < div id="persoformtop" > pour personaliser le texte';
+$lang['use tag < div id="persoformbottom" > to customize your personal text'] = 'utiiser la balise < div id="persoformbottom" > pour personaliser le texte';
+$lang['if plugin ExtendedDescription is actif, you can use tags [lang]'] = 'Si le plugin ExtendedDescription est actif, vous pouvez utiliser les balises [lang]';
 ?>
Index: /extensions/ContactForm/themes/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/cf_form.tpl	(revision 14427)
+++ /extensions/ContactForm/themes/cf_form.tpl	(revision 14428)
@@ -28,5 +28,5 @@
 }
 {/literal}{/footer_script}
-
+<div id="persoformtop">{$PERSOFORMTOP}</div>
 <div id="autre_content" class="contact-form">
   <form  method="post" action="{$CF.F_ACTION}" class="filter" id="contactform" onsubmit="return cf_validate();">
@@ -73,2 +73,3 @@
   </form>
 </div>
+<div id="persoformbottom">{$PERSOFORMBOTTOM}</div>
Index: /extensions/ContactForm/themes/simple-black/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-black/cf_form.tpl	(revision 14427)
+++ /extensions/ContactForm/themes/simple-black/cf_form.tpl	(revision 14428)
@@ -55,5 +55,5 @@
 }
 {/literal}{/footer_script}
-
+<div id="persoformtop">{$PERSOFORMTOP}</div>
 <div id="subcontent" class="contact-form">
   <form  method="post" action="{$CF.F_ACTION}" class="filter" id="contactform" onsubmit="return cf_validate();">
@@ -100,2 +100,3 @@
   </form>
 </div>
+<div id="persoformbottom">{$PERSOFORMBOTTOM}</div>
Index: /extensions/ContactForm/themes/simple-sunset/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-sunset/cf_form.tpl	(revision 14427)
+++ /extensions/ContactForm/themes/simple-sunset/cf_form.tpl	(revision 14428)
@@ -55,5 +55,5 @@
 }
 {/literal}{/footer_script}
-
+<div id="persoformtop">{$PERSOFORMTOP}</div>
 <div id="subcontent" class="contact-form">
   <form  method="post" action="{$CF.F_ACTION}" class="filter" id="contactform" onsubmit="return cf_validate();">
@@ -100,2 +100,3 @@
   </form>
 </div>
+<div id="persoformbottom">{$PERSOFORMBOTTOM}</div>
Index: /extensions/ContactForm/themes/simple-white/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-white/cf_form.tpl	(revision 14427)
+++ /extensions/ContactForm/themes/simple-white/cf_form.tpl	(revision 14428)
@@ -55,5 +55,5 @@
 }
 {/literal}{/footer_script}
-
+<div id="persoformtop">{$PERSOFORMTOP}</div>
 <div id="subcontent" class="contact-form">
   <form  method="post" action="{$CF.F_ACTION}" class="filter" id="contactform" onsubmit="return cf_validate();">
@@ -100,2 +100,3 @@
   </form>
 </div>
+<div id="persoformbottom">{$PERSOFORMBOTTOM}</div>
Index: /extensions/ContactForm/themes/simple/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple/cf_form.tpl	(revision 14427)
+++ /extensions/ContactForm/themes/simple/cf_form.tpl	(revision 14428)
@@ -55,5 +55,5 @@
 }
 {/literal}{/footer_script}
-
+<div id="persoformtop">{$PERSOFORMTOP}</div>
 <div id="subcontent" class="contact-form">
   <form  method="post" action="{$CF.F_ACTION}" class="filter" id="contactform" onsubmit="return cf_validate();">
@@ -100,2 +100,3 @@
   </form>
 </div>
+<div id="persoformbottom">{$PERSOFORMBOTTOM}</div>
Index: /extensions/ContactForm/themes/stripped/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/stripped/cf_form.tpl	(revision 14427)
+++ /extensions/ContactForm/themes/stripped/cf_form.tpl	(revision 14428)
@@ -55,5 +55,5 @@
 }
 {/literal}{/footer_script}
-
+<div id="persoformtop">{$PERSOFORMTOP}</div>
 <div id="subcontent" class="contact-form">
   <form  method="post" action="{$CF.F_ACTION}" class="filter" id="contactform" onsubmit="return cf_validate();">
@@ -100,2 +100,3 @@
   </form>
 </div>
+<div id="persoformbottom">{$PERSOFORMBOTTOM}</div>