Index: /trunk/language/el_GR/admin.lang.php
===================================================================
--- /trunk/language/el_GR/admin.lang.php	(revision 14434)
+++ /trunk/language/el_GR/admin.lang.php	(revision 14435)
@@ -189,3 +189,43 @@
 $lang['Apply to sub-albums'] = 'Επιλογή υπό-άλμπουμ';
 
+$lang['%s has been successfully updated.'] = '%s έχει ενημερωθεί με επιτυχία.';
+$lang['%s photos can not be regenerated'] = '%s φωτογραφίες δεν μπορούν να αναπαραχθούν';
+$lang['%s photos have been regenerated'] = '%s φωτογραφίες έχουν αναπαραχθεί';
+$lang['(this tag will be deleted)'] = '(αυτή η ετικέτα θα διαγραφεί)';
+$lang['Activate comments'] = 'Ενεργοποίηστε τα σχόλια';
+$lang['Add tags'] = 'Προσθέστε ετικέτες';
+$lang['Add write access to the "%s" directory'] = 'Προσθέστε δικαιώματα εγγραφής στον κατάλογο "%s"';
+$lang['Add/delete a permalink'] = 'Προσθέστε/Διαγράψτε μόνιμο σύνδεσμο';
+$lang['Add'] = 'Προσθέστε';
+$lang['Administration Home'] = 'Αρχική σελίδα διαχείρησης';
+$lang['Advanced features'] = 'Προηγμένες λειτουργίες';
+$lang['Album "%s" has been added'] = 'Το λεύκωμα "%s" έχει προστεθεί';
+$lang['Album "%s" now contains %d photos'] = 'Το λεύκωμα "%s" περιέχει τώρα  %d φωτογραφίες';
+$lang['Album list management'] = 'Διαχείριση Λίστας Λευκωμάτων';
+$lang['Album manual order was saved'] = 'Το εγχειρίδιο λευκώματος έχει αποθηκευτεί';
+$lang['Album name'] = 'Όνομα Λευκώματος';
+$lang['Album photos associated to the following albums: %s'] = 'Λευκώματα φωτογραφιών που σχετίζονται με τα ακόλουθα λευκώματα:% s';
+$lang['Album updated successfully'] = 'Το λεύκωμα ενημερώθηκε με επιτυχία';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Κατά προσέγγιση μέγιστη ανάλυση:  %dM pixels (αυτό είναι %dx%d pixels).';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Είστε βέβαιοι ότι θέλετε να εγκαταστήσετε αυτήν την αναβάθμιση; Θα πρέπει να ελέγξετε αν αυτή η έκδοση δεν χρειάζεται πριν απεγκατάσταση.';
+$lang['Are you sure you want to delete this plugin?'] = 'Είστε βέβαιοι ότι θέλετε να διαγράψετε αυτό το πρόσθετο;';
+$lang['Are you sure you want to install this plugin?'] = 'Είστε βέβαιοι ότι θέλετε να εγκαταστήσετε αυτό το πρόσθετο;';
+$lang['Associate to album'] = 'Συσχετίστε με το λεύκωμα';
+$lang['Associated'] = 'Συσχετίζεται με';
+$lang['Authorize users to add comments on selected albums'] = 'Εξουσιοδοτήστε χρήστες να προσθέτουν σχόλια στα επιλεγμένα λευκώματα';
+$lang['Authorized'] = 'Εξουσιοδοτημένος';
+$lang['Automatic correction'] = 'Αυτόματη διόρθωση';
+$lang['Available only with HTML format'] = 'Διατίθεται μόνο με μορφή HTML';
+$lang['Batch Manager'] = 'Διαχείρηση ενεργειών κατά δέσμη';
+$lang['Bound Theme'] = 'Συνδεδεμένο Θέμα';
+$lang['By %s'] = 'Με %s';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Από προεπιλογή, το Piwigo θα δημιουργήσει μια νέα ιστοσελίδα από τη HD (υψηλής ευκρίνειας) έκδοση των φωτογραφιών σας.';
+$lang['By rank'] = 'Βάσει σειράς';
+$lang['Caddie management'] = 'Διαχείρηση Caddie';
+$lang['added'] = 'προστέθηκε';
+$lang['albums added in the database'] = 'το λεύκωμα προστεθηκε στη βάση δεδομένων';
+$lang['associate to group'] = 'Συσχετίστε με την ομάδα';
+$lang['automatic order'] = 'αυτόματη σειρά';
+$lang['average time'] = 'μέσος χρόνος';
+$lang['between'] = 'ανάμεσα';
 ?>