Index: extensions/stripped/language/ca_ES/theme.lang.php
===================================================================
--- extensions/stripped/language/ca_ES/theme.lang.php	(revision 14437)
+++ extensions/stripped/language/ca_ES/theme.lang.php	(revision 14437)
@@ -0,0 +1,65 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['1 album per row (description beside thumbnail)'] = '1 àlbum per fila (descripció al costat de la miniatura)';
+$lang['2 albums per row (description beside thumbnail)'] = '2 àlbums per fila (descripció al costat de la miniatura)';
+$lang['3 albums per row (description below thumbnail)'] = '3 àlbums per fila (descripció sota de la miniatura)';
+$lang['5 albums per row (no album description)'] = '5 àlbums per fila (àlbums sense descripció)';
+$lang['Activate image preloading'] = 'Activar la precàrrega d\'imatges';
+$lang['Additional bottom margin after resize'] = 'Marge inferior addicional després de canviar-ne la mida';
+$lang['Album list layout'] = 'Disposició de llistats d\'àlbums';
+$lang['Animate menu'] = 'Menú animat';
+$lang['Animate tabs on picture page'] = 'Etiquetes animades a la pàgina de la imatge';
+$lang['Default tab to be displayed'] = 'Mostrar l\'etiqueta per defecte';
+$lang['Display frame around albums'] = 'Enmarcar els àlbums';
+$lang['Display frame around image'] = 'Enmarcar la imatge';
+$lang['Display frame around thumbnails'] = 'Enmarcar les miniatures';
+$lang['Force text to lowercase'] = 'Convertir el text en minúscules';
+$lang['GMap'] = 'Mapa';
+$lang['HD picture default display'] = 'Visualitzar per defecte en alta qualitat';
+$lang['Hide menu by default on category page'] = 'Amagar el menú per defecte a la pàgina de la categoria';
+$lang['Image autosize options'] = 'Opcions d\'ajust automàtic de mida';
+$lang['Image preloading options'] = 'Opcions de precàrrega d\'imatges';
+$lang['Include title after resize'] = 'Incloure el títol després de canviar-ne la mida';
+$lang['Information'] = 'informació';
+$lang['Interface options'] = 'Interfície';
+$lang['Interface style'] = 'Estil de l\'interfície';
+$lang['Last displayed'] = 'Mostrar l\'últim';
+$lang['Metadata'] = 'Informació del dispositiu (Metadades)';
+$lang['Minimum image height after resize'] = 'Alçada mínima de la imatge després de canviar-la de mida';
+$lang['On picture page, number of next images to preload'] = 'Número d\'imatges a precarregar a la pàgina d\'imatges';
+$lang['Picture page options'] = 'Opcions de la pàgina Imatges';
+$lang['Preload images on thumbnails page'] = 'Precarregar imatges a la pàgina de miniatures';
+$lang['Property to display below picture'] = 'Propietat per mostrar la imatge de sota';
+$lang['Resize image to fit window'] = 'Ajustar la imatge a la mida de la finestra';
+$lang['Show Information tab only to admins'] = 'Mostrar la informació de l\'etiqueta només als administradors';
+$lang['Show image title on top of the page (after browse path)'] = 'Mostrar el títol de la imatge a la part superior de la pàgina (després de ruta de navegació)';
+$lang['Show thumbnail caption'] = 'Mostrar la llegenda de la miniatura';
+$lang['Show/hide menu'] = 'Mostrar/amagar menú';
+$lang['Title'] = 'Títol';
+$lang['Use navigation arrows on picture'] = 'Utilitza les fletxes de navegació de la imatge';
+$lang['Use navigation arrows outside picture'] = 'Utilitzeu les fletxes de navegació de fora de la imatge';
+$lang['fit to screen'] = 'ajustar a la pantalla';
+$lang['full size'] = 'mida completa';
+$lang['stripped Configuration updated'] = 'Configuració de \'stripped\' actualitzada.';
+$lang['validate'] = 'validar';
+?>