Index: /trunk/language/zh_TW/admin.lang.php
===================================================================
--- /trunk/language/zh_TW/admin.lang.php	(revision 14462)
+++ /trunk/language/zh_TW/admin.lang.php	(revision 14463)
@@ -851,4 +851,46 @@
 $lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam是一套先進的數位相片管理軟體，它是自由軟體，適用於LINUX，WINDOWS和MacOSX。';
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam是專為攝影師瀏覽、管理、編輯、加工、整理、標記及分享照片等用途而設計。';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = '從digiKam要匯出相片到Piwigo，只需安裝digiKam和Kipi-plugins插件.';
+$lang['Piwigo export plugin for iPhoto'] = 'iPhoto的Piwigo匯出插件';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto是MacOSX預設的相片管理軟體。此Piwigo匯出插件，可讓你直接從iPhoto匯出相片至Piwigo圖庫，並建立新相冊';
+$lang['Piwigo export plugin for Aperture'] = 'Aperture的Piwigo匯出插件';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture是Mac的一項強大工具，可微調讓圖像更精緻，並管理超大照片庫.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture是為專業攝影師設計的軟體，但使用起來又與iPhoto一樣簡單.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Piwigo的匯出插件，允許你建立相冊和匯出照片';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid（Android行動相冊）是一個開放原始碼軟體（GPL V3），是Android平台上的Piwigo';
+$lang['Features include gallery browsing, album creation and photo upload.'] = '特色包括：畫廊瀏覽、建立相冊和照片上傳';
+$lang['Generate multiple size images'] = '產生多種大小的圖像';
+$lang['Delete multiple size images'] = '刪除多種大小的圖像';
+$lang['any visitor can see this album'] = '任何訪客都可以看到這本相冊';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = '訪客必須登錄並擁有權限才能觀看這本相冊';
+$lang['Groups and users'] = '組別和用戶';
+$lang['Permission granted for groups'] = '組別擁有的權限';
+$lang['Select groups...'] = '選擇組別...';
+$lang['There is no group in this gallery.'] = '此畫廊內沒有組別';
+$lang['Permission granted for users'] = '用戶擁有的權限';
+$lang['Select users...'] = '選擇用戶...';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u 用戶因屬自動許可授權組別，所以自動擁有權限.';
+$lang['include photos with lower privacy level'] = '包含隱私級別較低的相片';
+$lang['custom'] = '自定義';
+$lang['No group is permitted to see this private album'] = '沒有組別有權限觀看此私人相冊';
+$lang['Permission management'] = '權限管理';
+$lang['Photo sizes with crop'] = '相片剪裁';
+$lang['The center of interest is the most meaningful zone in the photo.'] = '焦點是相片中最有意思的部份';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = '如選擇相片剪裁（如「正方形」），Piwigo會盡可能保留相片的焦點';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = '預設情況下，焦點是擺在相片的中間';
+$lang['Select a zone with your mouse to define a new center of interest.'] = '用鼠標選擇新的焦點';
+$lang['X Position'] = 'X 位置';
+$lang['Y Position'] = 'Y 位置';
+$lang['X Repeat'] = 'X 重複';
+$lang['Opacity'] = '不透明度';
+$lang['top left corner'] = '左上角';
+$lang['top right corner'] = '右上角';
+$lang['middle'] = '中間';
+$lang['bottom left corner'] = '左下角';
+$lang['bottom right corner'] = '右下角';
+$lang['Select a file'] = '選擇檔案';
+$lang['add a new watermark'] = '添加一個新的浮水印';
+$lang['Apply watermark if width is bigger than'] = '使用浮水印，假如浮水印寬度大於';
+$lang['Apply watermark if height is bigger than'] = '使用浮水印，假如浮水印高度高於'; 
 
 ?>