Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 14464)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 14465)
@@ -864,3 +864,24 @@
 $lang['Available versions for'] = 'Elérhető verziók';
 $lang['add a new watermark'] = 'új vízjel hozzáadása';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'A <em>Piwigo for Android</em> alkalmazás segítségével csatlakozhat Piwigo galériájához telefonjával vagy táblagépével, létrehozhat új albumokat, feltölthet képeket (egyszerre akár többet is) képgalériájába.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'A <em>Piwigo for iOS</em> alkalmazás segítségével csatlakozhat Piwigo galériájához iPhone, iPad vagy iPod Touch eszközével, létrehozhat új albumokat, feltölthet képeket (egyszerre akár többet is) képgalériájába.';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Az Adobe Photoshop Lightroom egy képkezelő program, melyet nagy mennyiségű digitális kép utómunkálataihoz és kezeléséhet terveztek.';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Jellemzői: galéria böngészés, album létrehozás, képek feltöltése.';
+$lang['Multiple Size'] = 'Képméretek';
+$lang['No group is permitted to see this private album'] = 'Nincs engedélyezett csoport a privát albumhoz';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Egyszerűen telepítheti a Linux csomagkezelője segítségével, majd könnyedén beállíthatja Piwigo galériájának eléréséhez.';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Lightroom feltöltő';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo iPhoto feltöltő';
+$lang['Piwigo for Android'] = 'Piwigo Androidon';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo iOS-en (iPhone, iPad, iPod Touch)';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo Shotwell feltöltő';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo digiKam feltöltő';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'A ReGalAndroid (RemoteGallery kliens Androidra) egy nyílt forráskódú (GPL v3) Piwigo kliens Android platformra.';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'A Shotwell egy nyílt forráskódú képszerkesztő, melyet Linux alapú rendszerekhez terveztek. Alapértelmezett szerkesztő Ubuntun és Fedoran.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'A Piwigo export bővítmény lehetővé teszi albumok, képek feltöltését.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'A Piwigo publish Plug-in lehetőséget biztosít arra, hogy a Lightroom program segítségével töltsön fel képeket, szinkronizálja képeit Piwigo galériájába.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Ahhoz, hogy Piwigo rendszerébe exportálhassa fotóit a digiKam segítségével, telepítenie kell a Kipi-plugins bővítményt.';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'A digiKam egy fejlett, ingyenes képkezelő program Linux, Windows és MacOSX alá.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'A digiKam programot fotósoknak tervezték, megtekintheti, kezelheti, szerkesztheti, javíthatja, rendszerezheti, címkézheti és megoszthatja képeit.';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'Az iPhoto a MacOSX rendszer alapértelmezett képszerkesztője. A Piwigo feltöltő modul segítségével létrehozhat új albumokat és feltöltheti képeit a Piwigo galériába.';
 ?>