Index: /extensions/stripped/readme.txt
===================================================================
--- /extensions/stripped/readme.txt	(revision 14480)
+++ /extensions/stripped/readme.txt	(revision 14481)
@@ -31,4 +31,8 @@
 Changelog
 ---------
+
+*** version 2.2.0.beta
+
+- first version for Piwigo 2.4 (beta test)
 
 *** version 2.1.4
Index: /extensions/stripped/template/mainpage_categories.tpl
===================================================================
--- /extensions/stripped/template/mainpage_categories.tpl	(revision 14480)
+++ /extensions/stripped/template/mainpage_categories.tpl	(revision 14481)
@@ -9,5 +9,5 @@
 		<div class="illustration">
 			<a href="{$cat.URL}">
-				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '|@strip_tags:false} - {'display this album'|@translate}">
+				<img src="{$pwg->derivative_url($derivative_params, $cat.representative.src_image)}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '|@strip_tags:false} - {'display this album'|@translate}">
 			</a>
 		</div>
Index: /extensions/stripped/template/picture.tpl
===================================================================
--- /extensions/stripped/template/picture.tpl	(revision 14480)
+++ /extensions/stripped/template/picture.tpl	(revision 14481)
@@ -1,6 +1,9 @@
+{define_derivative name='derivative_stripped_pict' type='xlarge'}
+{assign var=derivative value=$pwg->derivative($derivative_stripped_pict, $current.src_image)}
+{assign var='size' value=$derivative->get_size()}
 {literal}
 <script type="text/javascript">
-var image_w = {/literal}{$WIDTH_IMG}{literal}
-var image_h = {/literal}{$HEIGHT_IMG}{literal}
+var image_w = {/literal}{$size[0]}{literal}
+var image_h = {/literal}{$size[1]}{literal}
 </script>
 {/literal}
Index: /extensions/stripped/template/picture_content.tpl
===================================================================
--- /extensions/stripped/template/picture_content.tpl	(revision 14480)
+++ /extensions/stripped/template/picture_content.tpl	(revision 14481)
@@ -4,5 +4,5 @@
 	$this->assign( 'stripped', $stripped );
 {/php}
-{if isset($high)}
+{if isset($U_ORIGINAL)}
 	{if ($HDShadowbox_loaded)}
 		{assign var='pwghigh' value=true}
@@ -12,8 +12,8 @@
 {/if}
 <div id="theImg" {if ($stripped.imageFrame)}class="img_frame"{/if}>
-	{if isset($high)}
-		{if isset($pwghigh)}<a href="{$high.U_HIGH}" rel="shadowbox" class="hd_link">&nbsp;</a>{/if}
-		{if isset($winhigh)}<div onclick="openDisplayHigh('{$high.U_HIGH}');" class="hd_link">&nbsp;</div>{/if}
-		{if ($stripped.imagePreloadHD)}<div class="preload" style="display:none;">{$high.U_HIGH}</div>{/if}
+	{if isset($U_ORIGINAL)}
+		{if isset($pwghigh)}<a href="{$U_ORIGINAL}" rel="shadowbox" class="hd_link">&nbsp;</a>{/if}
+		{if isset($winhigh)}<div onclick="openDisplayHigh('{$U_ORIGINAL}');" class="hd_link">&nbsp;</div>{/if}
+		{if ($stripped.imagePreloadHD)}<div class="preload" style="display:none;">{$U_ORIGINAL}</div>{/if}
 	{/if}
 	{if ($stripped.imageArrows) }
@@ -28,4 +28,6 @@
 		{/if}
 	{/if}
-	<img src="{$SRC_IMG}" style="width:{$WIDTH_IMG}px;height:{$HEIGHT_IMG}px;" alt="{$ALT_IMG}" id="theMainImage" class="hideTabs">
+  {define_derivative name='derivative_stripped_pict' type='xlarge'}
+  {assign var=derivative value=$pwg->derivative($derivative_stripped_pict, $current.src_image)}
+	<img src="{$derivative->get_url()}" {$derivative->get_size_htm()} alt="{$ALT_IMG}" id="theMainImage" class="hideTabs">
 </div>
Index: /extensions/stripped/template/thumbnails.tpl
===================================================================
--- /extensions/stripped/template/thumbnails.tpl	(revision 14480)
+++ /extensions/stripped/template/thumbnails.tpl	(revision 14481)
@@ -1,15 +1,19 @@
-{if !empty($thumbnails)}
-{php}
-	global $pwg_loaded_plugins, $conf, $stripped;
-	$this->assign('downloadMulti_loaded', isset($pwg_loaded_plugins[ 'download_multi' ]));
-	$this->assign( 'stripped', $stripped );
-{/php}
+{if !empty($thumbnails)}{strip}
+{combine_script id='jquery.ajaxmanager' path='themes/default/js/plugins/jquery.ajaxmanager.js' load='footer'}
+{combine_script id='thumbnails.loader' path='themes/default/js/thumbnails.loader.js' require='jquery.ajaxmanager' load='footer'}
+{*define_derivative name='derivative_params' width=160 height=90 crop=true*}
 <ul class="thumbList">
-	{strip}{foreach from=$thumbnails item=thumbnail}
+	{foreach from=$thumbnails item=thumbnail}
+		{assign var=derivative value=$pwg->derivative($derivative_params, $thumbnail.src_image)}
+		{php}
+			global $pwg_loaded_plugins, $conf, $stripped;
+			$this->assign('downloadMulti_loaded', isset($pwg_loaded_plugins[ 'download_multi' ]));
+			$this->assign( 'stripped', $stripped );
+		{/php}
 		<li>
 			<span class="wrap1">
 				<span class="wrap2 {if !($stripped.showThumbLegend)}wrap2full{/if}">
 					<a href="{$thumbnail.URL}"><div class="thumbframe"><div class="thumbpos">
-						<img class="thumbnail" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}" {if ((isset($thumbnail.NAME))&!($downloadMulti_loaded))}title="{$thumbnail.NAME}"{else}title="{$thumbnail.TN_TITLE}"{/if} />
+						<img class="thumbnail" {if !$derivative->is_cached()}data-{/if}src="{$derivative->get_url()}" alt="{$thumbnail.TN_ALT}" {if ((isset($thumbnail.NAME))&!($downloadMulti_loaded))}title="{$thumbnail.NAME}"{else}title="{$thumbnail.TN_TITLE}"{/if} />
 						{if (isset($stripped.imagePreload) & isset($stripped.imagePreloadThumbs))}<div class="preload" style="display:none;">{$thumbnail.FILE_PATH}</div>{/if}
 					</div></div></a>
@@ -35,5 +39,5 @@
 			</span>
 		</li>
-	{/foreach}{/strip}
+	{/foreach}
 </ul>
-{/if}
+{/strip}{/if}
Index: /extensions/stripped/themeconf.inc.php
===================================================================
--- /extensions/stripped/themeconf.inc.php	(revision 14480)
+++ /extensions/stripped/themeconf.inc.php	(revision 14481)
@@ -65,4 +65,6 @@
 }
 
+// Preload function
+
 if (isset($stripped['imagePreload']) && ($user['theme'] == 'stripped')) {
 	add_event_handler('loc_end_picture', 'assign_next_images_url');
@@ -112,5 +114,5 @@
 		}
 
-		$picturenext[$in]['image_url'] = get_image_url( $picturenext[$in] );
+		$picturenext[$in]['image_url'] = ''; /*get_image_url( $picturenext[$in] );*/
 	}
 
@@ -123,4 +125,3 @@
 }
 
-
 ?>