Index: /extensions/AMenuManager/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/AMenuManager/language/ca_ES/plugin.lang.php	(revision 14488)
+++ /extensions/AMenuManager/language/ca_ES/plugin.lang.php	(revision 14489)
@@ -30,3 +30,91 @@
 $lang['g002_title_page'] = 'Gestió del Menú Avançat';
 $lang['g002_version'] = 'r';
+$lang['g002_accessibility'] = 'Accessibilitat';
+$lang['g002_addlink'] = 'Afegir un enllaç';
+$lang['g002_addlinks_nfo'] = 'El menú de bloc permet mostrar una llista de hipervincles';
+$lang['g002_addsection'] = 'Afegir un nou bloc';
+$lang['g002_adviser_not_allowed'] = 'A l\'assessor no se li permet fer canvis';
+$lang['g002_album2menu'] = 'Convertir un àlbum en un menú';
+$lang['g002_album_nfo'] = 'Permetre convertir un o més àlbums en un menú';
+$lang['g002_album'] = 'Àlbum &rArr; menú';
+$lang['g002_all_languages'] = 'Tots els idiomes';
+$lang['g002_apply_changes'] = 'Aplicar els canvis';
+$lang['g002_apply'] = 'Aplicar';
+$lang['g002_cancel'] = 'Cancel·lar';
+$lang['g002_click_to_manage_rights'] = 'Gestió de drets';
+$lang['g002_config_not_saved'] = 'La configuració no ha estat desada';
+$lang['g002_config_saved'] = 'Configuració desada';
+$lang['g002_configlinks'] = 'Ajustos d\'enllaços';
+$lang['g002_configrandompic'] = 'Configuració d\'imatge a l\'atzar';
+$lang['g002_confirm_delete_link'] = 'Vols eliminar l\'enllaç?';
+$lang['g002_createoflink'] = 'Afegir enllaç';
+$lang['g002_createofpersonalised'] = 'Crear un nou bloc personalitzat';
+$lang['g002_createthelink'] = 'Afegir enllaç';
+$lang['g002_editoflink'] = 'Editar enllaç';
+$lang['g002_editofpersonalised'] = 'Modificar un bloc personalitzat';
+$lang['g002_editthelink'] = 'Editar enllaç';
+$lang['g002_icon'] = 'Representació de la imatge';
+$lang['g002_label'] = 'etiqueta';
+$lang['g002_labelmenu'] = 'Etiqueta del menú';
+$lang['g002_link'] = 'Enllaç';
+$lang['g002_links'] = 'Enllaços';
+$lang['g002_linkslist'] = 'Llistat d\'enllaços';
+$lang['g002_loading'] = 'Carregant...';
+$lang['g002_mode_current_window'] = 'Finestra actual';
+$lang['g002_mode_new_window'] = 'Nova finestra';
+$lang['g002_mode'] = 'Mode';
+$lang['g002_modmenu'] = 'Bloc \'Menú\'';
+$lang['g002_modspecial'] = 'Bloc \'Especials\'';
+$lang['g002_name'] = 'Etiqueta';
+$lang['g002_nolinks'] = 'No hi ha enllaços';
+$lang['g002_nosections'] = 'No hi ha blocs';
+$lang['g002_notitle'] = '[Sense títol]';
+$lang['g002_ok'] = 'OK';
+$lang['g002_owner'] = 'Propietari';
+$lang['g002_personalisedlist'] = 'Llista de blocs personalitzats';
+$lang['g002_personnalblock_nfo'] = 'Visualitzar blocs personalitzats al menú';
+$lang['g002_piwigo_default'] = 'Ordre predeterminat de Piwigo';
+$lang['g002_plugin'] = 'Complement';
+$lang['g002_randompict_nfo'] = 'Els bloc del menú permet visualitzar una imatge de la galeria a l\'atzar';
+$lang['g002_reset_order'] = 'Restablir ordre';
+$lang['g002_section'] = 'bloc';
+$lang['g002_sectionid'] = 'Identificador';
+$lang['g002_sections'] = 'blocs';
+$lang['g002_sectionslist'] = 'Menú de blocs';
+$lang['g002_selected_all_gallery'] = 'Tots els àlbums';
+$lang['g002_selected_categories'] = 'Tots els àlbums seleccionats';
+$lang['g002_selected_favorites_wm'] = 'Imatges preferides del webmaster';
+$lang['g002_selectedpict'] = 'Imatges seleccionades';
+$lang['g002_setting_albums_menus'] = 'Àlbums a convertir a menús';
+$lang['g002_setting_block_active'] = 'Visualitzar bloc al menú';
+$lang['g002_setting_block_langchoice'] = 'Tria l\'idioma';
+$lang['g002_setting_block_menu'] = 'Integració del menú';
+$lang['g002_setting_block_title'] = 'Bloquejar el títol';
+$lang['g002_setting_blocks_position'] = 'Visibilitat i ordre del menú';
+$lang['g002_setting_core_blocks_content'] = 'Contingut pels menús \'Menú\' i \'Especials\'';
+$lang['g002_setting_link_links'] = 'Enllaços';
+$lang['g002_setting_link_show_icon'] = 'Visualitzar els enllaços de la imatge de representació';
+$lang['g002_setting_personalised_content'] = 'Contingut del bloc';
+$lang['g002_setting_personalised_nfo'] = 'Descripció';
+$lang['g002_setting_personalised_properties'] = 'Propietats';
+$lang['g002_setting_randompic_aboutpicture'] = 'Visualitzar dades';
+$lang['g002_setting_randompic_height_auto'] = 'Automàtic';
+$lang['g002_setting_randompic_height'] = 'Alçada del bloc de menú';
+$lang['g002_setting_randompic_periodicchange_deactivated'] = 'Deshabilitat';
+$lang['g002_setting_randompic_periodicchange_delay'] = 'Retard';
+$lang['g002_setting_randompic_periodicchange'] = 'Canvi periòdic de la imatge';
+$lang['g002_setting_randompic_showcomment'] = 'Mostra els comentaris de la imatge';
+$lang['g002_setting_randompic_showname'] = 'Mostra nom de la imatge';
+$lang['g002_show_n'] = 'No';
+$lang['g002_show_o'] = 'Mostra sobre la imatge';
+$lang['g002_show_u'] = 'Mostra sota la imatge';
+$lang['g002_title'] = 'Títol';
+$lang['g002_translate'] = 'Traduir amb el traductor de Google';
+$lang['g002_url'] = 'URL';
+$lang['g002_valid_order'] = 'Ordenar';
+$lang['g002_visible'] = 'Visible';
+$lang['g002_yesno_n'] = 'No';
+$lang['g002_yesno_y'] = 'Sí';
+$lang['gmaps_gpc_not_up_to_date'] = 'Per al correcte funcionament d\'aquest complement, és necessari que la versió %s de <i>Grum classes Plugin</i> estigui instal·lada.
+La versió actual instal·lada és la %s. Si us plau, actualitza aquest complement</i>.';
 ?>