Index: /trunk/language/el_GR/admin.lang.php
===================================================================
--- /trunk/language/el_GR/admin.lang.php	(revision 14501)
+++ /trunk/language/el_GR/admin.lang.php	(revision 14502)
@@ -269,3 +269,65 @@
 $lang['confirm'] = 'επιβεβαίωση';
 $lang['created'] = 'δημιουργήθηκε';
+$lang['Default comments order'] = 'προκαθορισμένη σειρά σχολίων';
+$lang['Default display'] = 'προκαθορισμένη προβολή οθόνης';
+$lang['Default photos order'] = 'προκαθορισμένη σειράς φωτογραφιών';
+$lang['Default user cannot be deleted'] = 'Ο προκαθορισμένος χρήστης δεν μπορεί να διαγραφεί';
+$lang['Default user does not exist'] = 'Ο προκαθορισμένος χρήστης δεν υπάρχει';
+$lang['Delete Representant'] = 'Διαγραφή μικρογραφίας λευκώματος';
+$lang['Delete orphan tags'] = 'Διαγραφή ορφανών ετικετών';
+$lang['Delete selected photos'] = 'Διαγραφή επιλεγμένων φωτογραφιών';
+$lang['Delete selected tags'] = 'Διαγραφή επιλεγμένων ετικετών';
+$lang['Delete selected users'] = 'Διαγραφή επιλεγμένων χρηστών';
+$lang['Delete this language'] = 'Διαγραφή αυτής της γλώσσας';
+$lang['Delete this theme'] = 'διαγράψετε αυτό το θέμα';
+$lang['Deleted on'] = 'διαγραφεί';
+$lang['Deletions'] = 'Διαγραφές';
+$lang['Deny selected groups'] = 'Άρνηση επιλεγμένων ομάδων';
+$lang['Deny selected users'] = 'Άρνηση επιλεγμένων ομάδων';
+$lang['Description'] = 'Περιγραφή';
+$lang['Detailed informations'] = 'Λεπτομερείς πληροφορίες';
+$lang['Directory does not exist'] = 'Ο Κατάλογος δεν υπάρχει';
+$lang['Directory'] = 'Κατάλογος';
+$lang['Discover album:'] = 'Ανακαλύψτε λεύκωμα:';
+$lang['Display options'] = 'Επιλογές εμφάνισης';
+$lang['Dissociate from album'] = 'Αποσυνδέστε από το λεύκωμα';
+$lang['Dissociated'] = 'Αποσυνδεδεμένο';
+$lang['Do you want to activate anyway?'] = 'Θέλετε να ενεργοποιήσετε ούτως ή άλλως;';
+$lang['Documentation'] = 'Τεκμηρίωση';
+$lang['Does not represent'] = 'Δεν είναι μικρογραφία για';
+$lang['Download,'] = 'Κατεβάστε,';
+$lang['Downloads'] = 'Λήψεις';
+$lang['Drag to re-order'] = 'Κάντε κλικ και σύρετε για εκ νέου στοίχηση';
+$lang['Drop into album'] = 'Επιλέξτε ένα λεύκωμα';
+$lang['Dump Database'] = 'Εξαγωγή Βάσης Δεδομένων';
+$lang['Duplicates'] = 'Διπλα Αντίγραφα';
+$lang['Edit album permissions'] = 'Επεξεργασία δικαιωμάτων λευκώματος';
+$lang['Edit album'] = 'Επεξεργασία λευκώματος';
+$lang['Edit photo information'] = 'Επεξεργασία πληροφοριών φωτογραφίας';
+$lang['Edit ranks'] = 'Επεξεργασία αξιολογίσεων';
+$lang['Edit selected tags'] = 'Επεξεργασία επιλεγμένων ετικετών';
+$lang['Edit tags'] = 'Επεξεργασία ετικετών';
+$lang['Element type'] = 'Τύπος στοιχείου';
+$lang['Element'] = 'Στοιχείο ';
+$lang['Email administrators when a comment is deleted'] = 'Αποστολή ηλ. ταχυδρομείου στούς διαχειριστές όταν ένα σχόλιο διαγράφεται';
+$lang['Email administrators when a comment is modified'] = 'Αποστολή ηλ. ταχυδρομείου στούς διαχειριστές όταν ένα σχόλιο επεξεργάστηκε';
+$lang['Email admins when a comment requires validation'] = 'Αποστολή ηλ. ταχυδρομείου στούς διαχειριστές όταν ένα σχόλιο χρειάζετε επικύρωση';
+$lang['Email admins when a new user registers'] = 'Αποστολή ηλ. ταχυδρομείου στούς διαχειριστές όταν ένας χρήστης εγγράφεται';
+$lang['Email admins when a valid comment is entered'] = 'Αποστολή ηλ. ταχυδρομείου στούς διαχειριστές όταν εισάγεται ένα έγκυρο σχόλιο';
+$lang['Environment'] = 'Περιβάλλον ';
+$lang['Error list'] = 'Λίστα των σφαλμάτων';
+$lang['Error on file "%s" : %s'] = 'Σφάλμα στο αρχείο "%s":%s';
+$lang['Error when sending email to %s [%s].'] = 'Σφάλμα κατά την αποστολή e-mail στο%s [%s].';
+$lang['default values'] = 'προκαθορισμένες τιμές';
+$lang['default'] = 'προκαθορισμένο';
+$lang['delete album'] = 'προκαθορισμένο λεύκωμα';
+$lang['delete photo'] = 'διαγραφή φωτογραφίας';
+$lang['delete this site and all its attached elements'] = 'διαγράψετε αυτό το site και όλες τις σχετικές πληροφορίες';
+$lang['deleted'] = 'διαγραμμένο';
+$lang['delete'] = 'διαγραφή';
+$lang['directories + files'] = 'κατάλογοι + αρχεία';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'εμφανίζονται μέγιστες πληροφορίες (λευκώματα που προστέθηκαν και φωτογραφίες, διαγραμένα λευκώματα και φωτογραφίες)';
+$lang['display'] = 'Εμφάνιση';
+$lang['dissociate from group'] = 'Αποσυνδέστε από την ομάδα';
+$lang['email'] = 'Ηλεκτρονικό ταχυδρομείο';
 ?>