Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 14507)
+++ /trunk/language/da_DK/admin.lang.php	(revision 14508)
@@ -121,9 +121,9 @@
 $lang['Page banner'] = 'Side banner';
 $lang['Parent album'] = 'Overordnet Kategori';
-$lang['Path'] = 'Path';
+$lang['Path'] = 'Sti';
 $lang['Permalink'] = 'Permalink';
-$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Permalink% s er tidligere blevet brugt af Kategori% s Slet det fra permalinks historie første';
-$lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Det permalink navn skal bestå af az, AZ, 0-9, \' - \', \'_ \'eller \' / \'. Det må ikke være tal eller begynde med et tal efterfulgt af \'- \'';
-$lang['Permalink %s is already used by album %s'] = 'Permalink% s bruges allerede af Kategori% s';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Permalink %s er tidligere blevet brugt af Kategori %s Slet det fra permalinks historie første';
+$lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Det permalink navn skal bestå af az, AZ, 0-9, "-", "_" eller "/". Det må ikke være tal eller begynde med et tal efterfulgt af "-"';
+$lang['Permalink %s is already used by album %s'] = 'Permalink %s bruges allerede af Kategori %s';
 $lang['Permalink history'] = 'Permalinks historie';
 $lang['Permalinks'] = 'Permalinks';
@@ -136,16 +136,16 @@
 $lang['Preferences'] = 'Indstillinger';
 $lang['Properties'] = 'Egenskaber';
-$lang['Random photo'] = 'Random billede';
-$lang['Rate date'] = 'Rating dato';
+$lang['Random photo'] = 'Tilfældigt billede';
+$lang['Rate date'] = 'Bedømmelses dato';
 $lang['Rating by guests'] = 'Bedømmelse af gæster';
-$lang['Rating'] = 'Rating';
+$lang['Rating'] = 'Bedømmelse';
 $lang['Reject'] = 'Afvis';
-$lang['Representant'] = 'Representant';
-$lang['Representation of albums'] = 'Kategorier repræsentation';
-$lang['Representative'] = 'Repræsentant';
-$lang['Represents'] = 'Repræsenterer';
-$lang['Save order'] = 'Gem orden';
+$lang['Representant'] = 'Album Minibillede';
+$lang['Representation of albums'] = 'Album minibillede';
+$lang['Representative'] = 'Album minibillede';
+$lang['Represents'] = 'Er minibillede for';
+$lang['Save order'] = 'Gem rækkefølge';
 $lang['Save to permalink history'] = 'Gem til permalinks historie';
-$lang['Select at least one album'] = 'Vælg mindst én Kategori';
+$lang['Select at least one album'] = 'Vælg mindst ét album';
 $lang['Select at least one photo'] = 'Vælg mindst et billede';
 $lang['Select at least one user'] = 'Vælg mindst én bruger';
@@ -168,6 +168,6 @@
 $lang['Validation']  =  'Bekræftelse';
 $lang['Version']  =  'Version';
-$lang['Virtual albums to move']  =  'Virtuel kategorier til at flytte';
-$lang['Virtual album name']  =  'Virtuel Kategori navn';
+$lang['Virtual albums to move'] = 'Virtuel album til at flytte';
+$lang['Virtual album name'] = 'Virtuel album navn';
 $lang['Webmaster cannot be deleted']  =  'Webmaster kan ikke slettes';
 $lang['You are running on development sources, no check possible.']  =  'Du kører på udviklings kilder, ingen tjek muligt.';
@@ -181,10 +181,10 @@
 $lang['Add a virtual album']  =  'Tilføj en virtuel Kategori';
 $lang['Authorize users to add comments on selected albums'] = 'Tillad brugere at tilføje kommentarer til udvalgte kategorier';
-$lang['The name of an album must not be empty']  =  'Navnet på en Kategori, kan ikke ikke være tomt';
+$lang['The name of an album must not be empty'] = 'Navnet på et album, kan ikke ikke være tomt';
 $lang['Lock albums']  =  'Lås kategorier';
-$lang['Private']  =  'Private Kategori';
-$lang['Public']  =  'Offentlige Kategori';
-$lang['Find a new representant by random']  =  'Find en ny tilfældig representant';
-$lang['Public / Private']  =  'Offentlige / Private';
+$lang['Private'] = 'Privat Kategori';
+$lang['Public'] = 'Offentlig';
+$lang['Find a new representant by random'] = 'Find et nyt tilfældigt minibillede';
+$lang['Public / Private'] = 'Offentlig/Privat';
 $lang['Manage authorizations for selected albums']  =  'Administrer tilladelser for udvalgte kategorier';
 $lang['Virtual album added']  =  'Virtuel Kategori tilføjet';
@@ -193,6 +193,6 @@
 $lang['Information data registered in database']  =  'Oplysninger, der er registreret i databasen';
 $lang['Default display'] = 'Standard visning';
-$lang['The gallery URL is not valid.']  =  'Galleriet URL er ikke gyldig.';
-$lang['Main']  =  'Main';
+$lang['The gallery URL is not valid.'] = 'Galleri URL er ikke gyldigt.';
+$lang['Main'] = 'Hoved';
 $lang['The number of comments a page must be between 5 and 50 included.']  =  'Antallet af kommentarer på en side skal være mellem 5 og 50 medtaget.';
 $lang['Configuration']  =  'Konfiguration';
@@ -205,5 +205,5 @@
 $lang['photos per page']  =  'Elementer pr side';
 $lang['High definition enabled']  =  'High definition er slået til';
-$lang['File']  =  'File';
+$lang['File'] = 'Fil';
 $lang['first photo added on %s']  =  'Første element tilføjet den %s';
 $lang['Forbidden']  =  'Forbudt';
@@ -217,5 +217,5 @@
 $lang['jump to album']  =  'Hop til Kategori';
 $lang['jump to photo']  =  'Hop til billedet';
-$lang['leave']  =  'Ferie';
+$lang['leave'] = 'Bevar';
 $lang['Lock'] = 'Lås';
 $lang['Locked'] = 'Låst';
@@ -235,5 +235,5 @@
 $lang['Hello']  =  'Hej';
 $lang['New photos were added']  =  'Nye elementer er blevet tilføjet';
-$lang['on']  =  'På';
+$lang['on'] = 'på';
 $lang['between'] = 'mellem';
 $lang['and'] = 'og';
@@ -248,5 +248,5 @@
 $lang['To unsubscribe']  =  'For at afmelde';
 $lang['With blank value, gallery title will be used']  =  'Hvis blank, vil galleriet titel bruges';
-$lang['Notification']  =  'Medelelse';
+$lang['Notification'] = 'Meddelelse';
 $lang['Error when sending email to %s [%s].']  =  'Fejl ved afsendelse af e-mail til% s [% s].';
 $lang['Mail sent to %s [%s].']  =  'Mail sendt til% s [% s].';
@@ -263,5 +263,5 @@
 $lang['Subscribe to notification by mail']  =  'Abonner på notfikation med mail';
 $lang['Unsubscribe from notification by mail']  =  'Afmeld fra notifikation med mail';
-$lang['Parameter']  =  'Parameter';
+$lang['Parameter'] = 'Indstillinger';
 $lang['Operation in progress']  =  'Behandling i gang';
 $lang['Continue processing treatment']  =  'Fortsæt igangværende behandling';
@@ -293,21 +293,21 @@
 $lang['Include display of recent photos grouped by dates']  =  'Medtag visning af de seneste billeder grupperet efter datoer';
 $lang['Available only with HTML format'] = 'Findes kun med HTML for½mat';
-$lang['no write access']  =  'Ingen skrive adgang';
+$lang['no write access'] = 'ingen skrive adgang';
 $lang['Permissions']  =  'Tilladelser';
-$lang['private']  =  'Private';
-$lang['public']  =  'Offentlige';
-$lang['Purge never used notification feeds']  =  'Purge aldrig anvendt anmeldelse feeds';
-$lang['Purge sessions']  =  'Purge sessioner';
-$lang['randomly represented']  =  'Random repræsentant';
+$lang['private'] = 'Privat';
+$lang['public'] = 'offentlig';
+$lang['Purge never used notification feeds'] = 'Ryd aldrig anvendt anmeldelse feeds';
+$lang['Purge sessions'] = 'Ryd sessioner';
+$lang['randomly represented'] = 'Tilfældigt repræsentant';
 $lang['registration date'] = 'Registreringsdato';
 $lang['clean'] = 'oprydning';
 $lang['Create this site'] = 'Opret dette websted';
-$lang['test'] = 'Test';
-$lang['test this remote site'] = 'Test har denne remot side';
+$lang['test'] = 'test';
+$lang['test this remote site'] = 'test dette remote site';
 $lang['remove tags'] = 'Fjerne tags';
 $lang['Repair and optimize database'] = 'Reparation og optimere databasen';
-$lang['selection'] = 'Udvælgelse';
+$lang['selection'] = 'udvælgelse';
 $lang['set to'] = 'Indstillet til';
-$lang['singly represented'] = 'Enkelt repræsentant';
+$lang['singly represented'] = 'fast album minibillede';
 $lang['This site already exists'] = 'Dette site eksisterer allerede';
 $lang['Create a new site : (give its URL to create_listing_file.php)'] = 'Opret et nyt websted: (angiv URL til create_listing_file.php)';
@@ -319,10 +319,10 @@
 $lang['Remote'] = 'Remote';
 $lang['update the database from files'] = 'Opdatere databasen med filer';
-$lang['status']  =  'Status';
+$lang['status'] = 'status';
 $lang['Directory']  =  'Mappe';
 $lang['sub-albums']  =  'Sub-kategorier';
 $lang['Synchronize metadata']  =  'Synkronisere metadata';
 $lang['target']  =  'Target';
-$lang['Thumbnail']  =  'Thumbnail';
+$lang['Thumbnail'] = 'Minibillede';
 $lang['title']  =  'Tittel';
 $lang['Album list management'] = 'Håndtering af kategoriliste';
@@ -346,6 +346,6 @@
 $lang['unit mode']  =  'Single-mode';
 $lang['Unlocked'] = 'Låst op';
-$lang['unset']  =  'Unset';
-$lang['Update albums informations']  =  'Update kategorier information';
+$lang['unset'] = 'unset';
+$lang['Update albums informations'] = 'Update album informationer';
 $lang['Update photos information']  =  'Update billeder information';
 $lang['Synchronize']  =  'Synkroniser';
@@ -356,5 +356,5 @@
 $lang['Errors caption'] = 'Fejl beskrivelser';
 $lang['Detailed informations']  =  'Detaljeret information';
-$lang['File/directory read error']  =  'File / directory læse fejl';
+$lang['File/directory read error'] = 'Fil/mappe læse fejl';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)']  =  'Fil eller mappe ikke kan få adgang (enten det eksisterer ikke eller adgang nægtes)';
 $lang['albums deleted in the database']  =  'Kategorier slettet i databasen';
@@ -370,8 +370,8 @@
 $lang['deleted'] = 'slettet';
 $lang['Metadata synchronization results']  =  'Metadata synkronisering resultater';
-$lang['only perform a simulation (no change in database will be made)']  =  'Kun udføre en simulering (intet vil blive ændret i databasen)';
+$lang['only perform a simulation (no change in database will be made)'] = 'kun udføre en simulering (intet vil blive ændret i databasen)';
 $lang['Simulation']  =  'Simulation';
 $lang['directories + files'] = 'mapper + filer';
-$lang['only directories']  =  'Mapper kun';
+$lang['only directories'] = 'mapper kun';
 $lang['synchronize files structure with database']  =  'Synkronisere filer struktur med databasen';
 $lang['synchronize files metadata with database photos informations']  =  'Synkronisere database elementer med filer metadata';
@@ -388,10 +388,10 @@
 $lang['user_status_normal']  =  'Bruger';
 $lang['user_status_webmaster']  =  'Webmaster';
-$lang['Virtual album']  =  'Virtuel Kategori';
+$lang['Virtual album'] = 'Virtuel album ';
 $lang['Waiting']  =  'Venter';
 $lang['default'] = 'Standard';
 $lang['Toggle \'default group\' property']  =  'Reverse \'default Gruppe\' ejendom ';
 $lang['Advanced features']  =  'Avancerede funktioner';
-$lang['Overall'] = 'I alt';
+$lang['Overall'] = 'Oversigt';
 $lang['Year'] = 'År';
 $lang['Month'] = 'Måned';
@@ -410,7 +410,7 @@
 $lang['Discover album:'] = 'Gennemse kategori:';
 $lang['Mail content']  =  'Mail indhold';
-$lang['none']  =  'Ingen';
+$lang['none'] = 'ingen';
 $lang['high']  =  'Høj';
-$lang['other']  =  'Andre';
+$lang['other'] = 'andre';
 $lang['Element type']  =  'Element type';
 $lang['Image id']  =  'Billede id';
@@ -441,13 +441,13 @@
 $lang['%d anomalies have not been corrected.']  =  ' %d uregelmæssigheder har ikke været korrigeret.';
 $lang['Go to %s or %s for more informations']  =  'Gå til %s eller %s for mere information';
-$lang['the forum']  =  'Forummet';
+$lang['the forum'] = 'forummet';
 $lang['the wiki']  =  'Wiki';
 $lang['%s value is not correct file because exif are not supported']  =  '%s værdi er forkert, fordi exif ikke er understøttet';
 $lang['%s must be to set to false in your local/config/config.inc.php file']  =  '%s skal være indstillet til false i dit lokale / config / config.inc.php fil';
-$lang['Main "guest" user does not exist']  =  'Hoved \' gæst \'bruger eksisterer ikke';
-$lang['Main "guest" user status is incorrect']  =  'Hoved \' gæst \'user status er forkert';
+$lang['Main "guest" user does not exist'] = 'Hoved "gæst" bruger eksisterer ikke';
+$lang['Main "guest" user status is incorrect'] = 'Hoved "gæst" user status er forkert';
 $lang['Default user does not exist'] = 'Standardbruger findes ikke';
-$lang['Main "webmaster" user does not exist']  =  'The main \' webmaster \' bruger eksisterer ikke';
-$lang['Main "webmaster" user status is incorrect']  =  'The main \' webmaster \' user status er forkert';
+$lang['Main "webmaster" user does not exist'] = 'Hoved "webmaster" bruger eksisterer ikke';
+$lang['Main "webmaster" user status is incorrect'] = 'Hoved "webmaster" user status er forkert';
 $lang['User "%s" created with "%s" like password']  =  'Bruger \'%s\' er oprettet med \'%s \' som password ';
 $lang['Status of user "%s" updated']  =  'Bruger \'%s\' opdateret status ';
@@ -458,5 +458,5 @@
 $lang['Mail address is obligatory for all users']  =  'Mail-adresse er obligatorisk for alle brugere';
 $lang['Minimum privacy level']  =  'Minimum privatliv niveau';
-$lang['Privacy level']  =  'Privacy niveau';
+$lang['Privacy level'] = 'Fortroligheds niveau';
 $lang['Level 0']  =  'Fri adgang';
 $lang['Level 1']  =  'Kontakter';
@@ -489,7 +489,7 @@
 $lang['Can\'t read or extract archive.'] = 'Arkiv ikke kan læses eller udpakkes.';
 $lang['An error occured during extraction (%s).'] = 'En fejl opstod under fil (% s) ekstraktion.';
-$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).']  =  'Check \'plugins \' folder og sub-folder tilladelser (CHMOD).';
+$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Check "plugins" mappe og under-mappe tilladelser (CHMOD).';
 $lang['Can\'t connect to server.'] = 'Tilslutning til server ikke muligt.';
-$lang['Purge compiled templates']  =  'Purge udarbejdet skabeloner';
+$lang['Purge compiled templates'] = 'Ryd udarbejdet skabeloner';
 $lang['ACCESS_0']  =  'Fri adgang';
 $lang['ACCESS_1']  =  'Adgang til alle';
@@ -504,6 +504,6 @@
 $lang['Piwigo version']  =  'Piwigo version';
 $lang['You are running the latest version of Piwigo.']  =  'Du kører Piwigo nyeste version.';
-$lang['The version of %s [%s] installed is not compatible with the version required [%s]']  =  'Den version af % s [% s] er installeret ikke er kompatibel med den krævede version  [% s]';
-$lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all']  =  'Du skal opgradere dit system til at drage fuld fordel af ansøgningen, ellers ansøgningen, kan arbejde korrekt, eller slet ikke';
+$lang['The version of %s [%s] installed is not compatible with the version required [%s]'] = 'Den version af %s [%s] er installeret ikke er kompatibel med den krævede version  [%s]';
+$lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = 'Du bør opgradere dit system til at drage fuld fordel af programmet, ellers risikerer du at programmet virke forkert, eller slet ikke';
 $lang['Deleted on'] = 'Slettet den';
 $lang['Last hit']  =  'Sidste hit';
@@ -519,13 +519,13 @@
 $lang['Optimizations have been completed with some errors.']  =  'Optimeringer er afsluttet med nogle fejl.';
 $lang['Modify information']  =  'Rediger oplysninger';
-$lang['nothing']  =  'Intet';
-$lang['overrides existing values with empty ones']  =  'Tilsidesætter eksisterende værdier med tomme';
+$lang['nothing'] = 'intet';
+$lang['overrides existing values with empty ones'] = 'tilsidesætter eksisterende værdier med tomme';
 $lang['Manage photo ranks']  =  'Administrer image ranking';
 $lang['Edit ranks'] = 'Rediger karakterer';
 $lang['No photo in this album']  =  'Ingen element i denne Kategori';
-$lang['Images manual order was saved']  =  'Billeder manual gemt orden';
-$lang['ranks']  =  'Rangerer';
+$lang['Images manual order was saved'] = 'Billeder manual rækkefølge gemt';
+$lang['ranks'] = 'Placering';
 $lang['Drag to re-order'] = 'Klik-og-træk for at arrangere';
-$lang['Quick Local Synchronization']  =  'Quick Lokal synkronisering';
+$lang['Quick Local Synchronization'] = 'Hurtig Lokal synkronisering';
 $lang['No photo can be deleted']  =  'Intet foto kan slettes';
 $lang['Delete selected photos']  =  'Slet valgte billeder';
@@ -535,5 +535,5 @@
 $lang['Released on']  =  'Frigivet på';
 $lang['Number of downloads']  =  'Antal af downloads';
-$lang['Piwigo Announcements Newsletter']  =  'Piwigo Newsletter';
+$lang['Piwigo Announcements Newsletter'] = 'Piwigo Nyhedsbrev';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.']  =  'Hold kontakten med Piwigo projekt, abonnere på Piwigo  nyhedsbrev. Du vil blive sendt e-mails, når en ny udgivelse er tilgængelig (undertiden også en sikkerhed bug fix, er det vigtigt at kende og opgradering), og når større begivenheder ske med projektet. Kun nogle få emails om året. ';
 $lang['Subscribe %s']  =  'Abonner % s';
@@ -570,5 +570,5 @@
 $lang['Uploaded Photos']  =  'Uploadede fotos ';
 $lang['%d photos uploaded']  =  ' %d uploaded billeder';
-$lang['Privacy level set to "%s"']  =  'Privat niveau sat til \'%s\'';
+$lang['Privacy level set to "%s"'] = 'Privat niveau sat til "%s"';
 $lang['Album "%s" now contains %d photos']     = 'Kategori \'%s\'indeholder nu %d billeder ';
 $lang['Manage this set of %d photos']  =  'Administrer dette sæt af %d billeder ';
@@ -577,5 +577,5 @@
 $lang['Who can see these photos?']  =  'Hvem kan se disse billeder? ';
 $lang['Settings']  =  'Indstillinger';
-$lang['Resize']  =  'Resize';
+$lang['Resize'] = 'Ændre størrelsen';
 $lang['Maximum Width']  =  'Maksimal bredde';
 $lang['pixels']  =  'Pixels';
@@ -602,9 +602,9 @@
 $lang['Piwigo Uploader']  =  'Piwigo Uploader ';
 $lang['Operation in progress']  =  'Behandler';
-$lang['Please wait...']  =  'Vent venligst ...';
+$lang['Please wait...'] = 'Vent venligst...';
 $lang['Read Piwigo Documentation']  =  'Læs Piwigo dokumentation';
 $lang['Start pLoader and add your photos.']  =  'Start pLoader og tilføje dine billeder.';
 $lang['Switch to clear or dark colors for administration']  =  'Skift til klar eller mørke farver for administration';
-$lang['Theme has been successfully installed']  =  'Tema er blevet installeret';
+$lang['Theme has been successfully installed'] = 'Tema er blevet installeret med succes';
 $lang['Visit Gallery']  =  'Besøg galleriet';
 $lang['Visit Piwigo project website']  =  'Besøg Piwigo projektets hjemmeside';
@@ -637,5 +637,5 @@
 $lang['Visit plugin site']  =  'Besøg plugin websted ';
 $lang['By rank'] = 'Efter ranking';
-$lang['Manual order'] = 'Manuel order';
+$lang['Manual order'] = 'Manuel rækkefølge';
 $lang['Who can see this photo?'] = 'Hvem kan se dette foto?';
 $lang['Active Languages'] = 'Aktive sprog';
@@ -649,5 +649,5 @@
 $lang['Add Photos'] = 'Tilføj fotos';
 $lang['The following tag was deleted'] = 'Følgende tag er slettet';
-$lang['Miscellaneous'] = 'Miscellaneous';
+$lang['Miscellaneous'] = 'Forskellig';
 $lang['Virtual Links'] = 'Virtual Links';
 $lang['There is no other language available.'] = 'Der er ikke andre sprog til rådighed.';
@@ -675,6 +675,6 @@
 $lang['remove title'] = 'fjern titel';
 $lang['Searching...'] = 'Søger...';
-$lang['Selection'] = 'Selektion';
-$lang['Set author'] = 'Vælg forfartter';
+$lang['Selection'] = 'Udvælgelse';
+$lang['Set author'] = 'Vælg forfatter';
 $lang['Set creation date'] = 'Vælg oprettelsesdato';
 $lang['Set title'] = 'Vælg titel';
@@ -714,6 +714,6 @@
 $lang['include child albums'] = 'inkluder børne albums';
 $lang['Last import'] = 'Sidste import';
-$lang['manual order'] = 'manual ordre';
-$lang['Missing a temporary folder'] = 'Mangler midlertidig folder';
+$lang['manual order'] = 'manual rækkefølge';
+$lang['Missing a temporary folder'] = 'Mangler midlertidig mappe';
 $lang['Orphan tags deleted'] = 'Orphan tags slettet';
 $lang['Restore'] = 'Genopret';
@@ -736,5 +736,5 @@
 $lang['Confirm merge'] = 'Bekræft sammenlægning';
 $lang['Create'] = 'Dan';
-$lang['Crop'] = 'Crop';
+$lang['Crop'] = 'Beskær';
 $lang['Default comments order'] = 'Standard kommentar rækkefølge';
 $lang['display'] = 'vis';
@@ -744,5 +744,5 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'FEJL: DETTE PLUGIN MANGLER, MEN ER INSTALLERET! AFINSTILLER NU.';
 $lang['Extensions Update'] = 'Extensions opdatering';
-$lang['Follow Orientation'] = 'Følg Orientation';
+$lang['Follow Orientation'] = 'Følg orientering';
 $lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Følgende plugins er måske ikke kompatible med den nye version af Piwigo:';
 $lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Følgende temaer er måske ikke compatible med den nye version af Piwigo:';
@@ -756,5 +756,5 @@
 $lang['Manage Permissions'] = 'Administrer tilladelsen';
 $lang['Maximum file size: %sB.'] = 'Maximum fil størrelse: %sB.';
-$lang['Merge selected tags'] = 'Merge selected tags';
+$lang['Merge selected tags'] = 'Flet udvalgte tags';
 $lang['Merge tags'] = 'Sammenlæg tags';
 $lang['New Version'] = 'Ny Version';
@@ -768,5 +768,5 @@
 $lang['Save Template Directory'] = 'Gem template bibliotek'; 
 $lang['Select an album'] = 'Vælg et album'; 
-$lang['Select at least two tags for merging'] = 'Vælg mindst to tags til merging'; 
+$lang['Select at least two tags for merging'] = 'Vælg mindst to tags til sammenlægning';
 $lang['Select the destination tag'] = 'Vælg destination tag'; 
 $lang['Send connection settings by email'] = 'Send indstillinger på email'; 
@@ -782,5 +782,5 @@
 $lang['This is a minor update, with only bug corrections.'] = 'Dette er en mindre opdatering, med kun små rettelser.';
 $lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'DETTE PLUGIN ER NU EN DEL AF PIWIGO CORE! AFINDSTALLER DET NU!';
-$lang['Thumbnails generation in progress...'] = 'Dannelse af thumbnails er i gang...';
+$lang['Thumbnails generation in progress...'] = 'Dannelse af minibillede er i gang...';
 $lang['Update All'] = 'Opdater alle';
 $lang['Update Complete'] = 'Opdatering er fuldført';
@@ -831,5 +831,5 @@
 $lang['Permission granted for users'] = 'Adgang tildelt brugere';
 $lang['Permission management'] = 'Adgangsstyring';
-$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Publish plugin for Lightroom';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo udgivet plugin for Lightroom';
 $lang['Select a file'] = 'Vælg en fil';
 $lang['Select groups...'] = 'Vælg grupper...';
@@ -851,5 +851,5 @@
 $lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo for iOS (iPhone, iPad, iPod Touch)';
 $lang['Save manual order'] = 'Gem manuel sortering';
-$lang['Automatic sort order'] = 'Automatisk sorteringsorden';
+$lang['Automatic sort order'] = 'Automatisk sorteringsrækkefølge';
 $lang['List'] = 'Liste';
 $lang['Piwigo export plugin for Aperture'] = 'Piwigo eksport plugin for Aperture';
@@ -857,6 +857,6 @@
 $lang['Piwigo for Android'] = 'Piwigo for Android';
 $lang['You can activate only one mobile theme.'] = 'Du kan kun aktivere et mobil tema';
-$lang['apply automatic sort order'] = 'aktiver automatisk sorteringsorden';
-$lang['cancel manual order'] = 'fortryd manuel orden';
+$lang['apply automatic sort order'] = 'aktiver automatisk sorteringsrækkefølge';
+$lang['cancel manual order'] = 'fortryd manuel rækkefølge';
 $lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam er et gratis avanceret program for organisering af digitale fotos for Linux, Windows, og MacOSX.';
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam er designet for fotografer, der ønsker at se, organisere, redigere, optimere, indeksere og dele fotos.';
@@ -871,3 +871,31 @@
 $lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'Filstørrelsen på den uploadede fil overstiger den aktuelle indstilling MAX_FILE_SIZE ';
 $lang['Multiple Size'] = 'Flere størrelser';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '% u brugere har automatisk tilladelse til, fordi de tilhører en tildelt gruppe.';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em> Piwigo for Android </em> program giver dig mulighed for at tilslutte din Android-telefon eller et bord til din Piwigo galleri, skabe nogle albums og uploade flere billeder på én gang.';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom er et fotografi software designet til at håndtere store mængder af digitale billeder og laver post production arbejde.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture er et kraftfuldt værktøj til at forfine billeder og administrere store biblioteker på Mac.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture er udviklet til professionelle fotografer med iPhoto enkelhed.';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'Som standard er centrum af interesse placeret i midten af billedet.';
+$lang['Center of interest'] = 'Interesse center';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Funktionerne omfatter galleri browsing, album skabelse og foto upload.';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'For fotostørrelser med crop, som "Square", vil Piwigo gøre sit bedste for at inkludere centrum af interesse.';
+$lang['No group is permitted to see this private album'] = 'Ingen gruppe er tilladt at se denne private album';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'På din Linux, installere, bare Shotwell med din pakke manager og Aktivér Piwigo udgivelses mulighed.';
+$lang['Permission granted for groups'] = 'Tilladelse givet til grupper';
+$lang['Photo sizes with crop'] = 'Foto størrelser med crop';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo Udgivet plugin til Shotwell';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo Udgivet plugin til digiKam';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery klient til Android) er en open source (GPL v3) Piwigo klient til Android-platformen.';
+$lang['Select a zone with your mouse to define a new center of interest.'] = 'Vælg en zone med musen for at definere et nyt center af interesse.';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell er en open source digital foto organisator, der kører på Linux. Det er standard Photo Manager i Ubuntu og Fedora.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Den Piwigo eksport-plugin tillader dig at oprette albums og eksport fotos.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Det Piwigo Udgivet Plugin giver dig mulighed for at eksportere og synkronisere billeder fra Lightroom direkte til din Piwigo fotogalleri.';
+$lang['The center of interest is the most meaningful zone in the photo.'] = 'Centrum af interesse er den mest meningsfyldte zone i billedet.';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'Den uploadede fil overstiger upload_max_filesize directive i php.ini: %sB';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'en uploadede fil overstiger post_max_size directive i php.ini: %sB';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'For at eksportere dine billeder fra digiKam til Piwigo, skal du blot installere digiKam og KIPI-plugin.';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Du kan ikke definere en standard foto rækkefølge, fordi du har en brugerdefineret indstilling i din lokale konfiguration.';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Du har angivet <i>$conf[\'order_by\']</i> i din lokale konfigurationsfil, denne parameter i forældet, skal du fjerne den eller omdøbe den til <i>$conf[\'order_by_custom\']</i>!';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto er standard Photo Manager på MacOSX. Den Piwigo eksport-plugin kan du oprette nye album og eksportere dine billeder direkte fra iPhoto til din Piwigo fotogalleri.';
+$lang['include photos with lower privacy level'] = 'omfatter billeder med lavere privatliv niveau';
 ?>