Index: /extensions/bbcode_bar/bbcode_bar.inc.php
===================================================================
--- /extensions/bbcode_bar/bbcode_bar.inc.php	(revision 14524)
+++ /extensions/bbcode_bar/bbcode_bar.inc.php	(revision 14525)
@@ -1,5 +1,6 @@
 <?php
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
- 
+
+// add BBCodeBar to textarea
 function set_bbcode_bar()
 {
@@ -14,28 +15,12 @@
     if ($conf_bbcode_bar[$key]) $template->assign('BBC_'.$key, true);
   }
-  
-  // edit field has different id
-  // if (
-    // (isset($_GET['action']) AND $_GET['action'] == 'edit_comment') 
-    // OR (isset($page['body_id']) AND $page['body_id'] == 'theCommentsPage')
-  // ) {
-    // $template->assign('bbcode_texarea', 'contenteditid');
-  // } else {
-    // $template->assign('bbcode_texarea', 'contentid');
-  // }
-  $template->assign('bbcode_texarea', 'contentid');
-
-  // smilies
-  if (isset($pwg_loaded_plugins['SmiliesSupport'])) 
-  {
-    $template->assign('BBC_smilies', true);
-  }
 
   $template->assign('BBCODE_PATH', BBcode_PATH);
   $template->set_prefilter('picture', 'set_bbcode_bar_prefilter');    
 
-  // smilies support > 2.2.f ## must be parsed after bbcode_bar, because the javascript must be after bbc's one
+  // smilies support > 2.3 ## must be parsed after bbcode_bar, because the javascript must be after bbc's one
   if (isset($pwg_loaded_plugins['SmiliesSupport'])) 
   {
+    $template->assign('BBC_smilies', true);
     set_smiliessupport();
   }  
@@ -44,5 +29,5 @@
 function set_bbcode_bar_prefilter($content, &$smarty)
 {
-  $search = "<label>{'Comment'|@translate}";
+  $search = '<div id="commentAdd">';
   $replace = file_get_contents(BBcode_PATH.'/template/bbcode_bar.tpl').$search;
   return str_replace($search, $replace, $content);
@@ -50,5 +35,5 @@
 
 
-//Check tags and eventually close malformed tags, return BBCoded String
+// check tags and eventually close malformed tags, return BBCoded String
 function CheckTags($str)
 {
Index: /extensions/bbcode_bar/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/en_UK/plugin.lang.php	(revision 14524)
+++ /extensions/bbcode_bar/language/en_UK/plugin.lang.php	(revision 14525)
@@ -1,3 +1,5 @@
 <?php
+
+$lang['Available options'] = 'Available options';
 
 $lang['Paragraph : [p]Paragraph[/p]'] = 'Paragraph : [p]Paragraph[/p]';
Index: /extensions/bbcode_bar/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/fr_FR/plugin.lang.php	(revision 14524)
+++ /extensions/bbcode_bar/language/fr_FR/plugin.lang.php	(revision 14525)
@@ -1,3 +1,5 @@
 <?php
+
+$lang['Available options'] = 'Options disponibles';
 
 $lang['Paragraph : [p]Paragraph[/p]'] = 'Paragraphe : [p]Paragraphe[/p]';
Index: /extensions/bbcode_bar/maintain.inc.php
===================================================================
--- /extensions/bbcode_bar/maintain.inc.php	(revision 14524)
+++ /extensions/bbcode_bar/maintain.inc.php	(revision 14525)
@@ -26,7 +26,5 @@
   if (!isset($conf['bbcode_bar']))
   {
-    $q = "INSERT INTO " . CONFIG_TABLE . " (param,value,comment)
-      VALUES ('bbcode_bar','" . serialize($BBcode_default) . "','Parametres BBCode Bar');";
-    pwg_query($q);
+    conf_update_param('bbcode_bar',serialize($BBcode_default));
   }
 }
@@ -58,8 +56,5 @@
     );
     
-    $q = "UPDATE " . CONFIG_TABLE . "
-      SET value='" . serialize($new_bbcode_bar) . "'
-      WHERE param='bbcode_bar';";
-    pwg_query($q);
+    conf_update_param('bbcode_bar', serialize($new_bbcode_bar));
   }
 }
@@ -67,10 +62,5 @@
 function plugin_uninstall()
 {
-  global $conf;
-
-  if (isset($conf['bbcode_bar']))
-  {
-    pwg_query('DELETE FROM ' . CONFIG_TABLE . ' WHERE param="bbcode_bar";');
-  }
+  pwg_query('DELETE FROM ' . CONFIG_TABLE . ' WHERE param="bbcode_bar";');
 }
 
Index: /extensions/bbcode_bar/template/bbcode_bar.tpl
===================================================================
--- /extensions/bbcode_bar/template/bbcode_bar.tpl	(revision 14524)
+++ /extensions/bbcode_bar/template/bbcode_bar.tpl	(revision 14525)
@@ -63,5 +63,5 @@
 
 jQuery(document).ready(function() {ldelim}
-  jQuery('#{$bbcode_texarea}').markItUp(BBCodeBar);
+  jQuery('#contentid').markItUp(BBCodeBar);
 });
 {/footer_script}
Index: /extensions/bbcode_bar/template/bbcode_bar_admin.tpl
===================================================================
--- /extensions/bbcode_bar/template/bbcode_bar_admin.tpl	(revision 14524)
+++ /extensions/bbcode_bar/template/bbcode_bar_admin.tpl	(revision 14525)
@@ -1,11 +1,10 @@
-{html_head}
-{literal}
+{html_head}{literal}
 <style type="text/css">
   form.properties span.property {
-    width:60%;
+    width:55%;
+    font-weight:normal;
   }
 </style>
-{/literal}
-{/html_head}
+{/literal}{/html_head}
 
 <div class="titrePage">
@@ -15,5 +14,5 @@
 <form method="post" action="" class="properties" ENCTYPE="multipart/form-data"> 
   <fieldset>
-    <legend>{'Parameters'|@translate}</legend>
+    <legend>{'Available options'|@translate}</legend>
     <ul>
       <li>